codentropy.com

Home > Dpkg Error > E: Internal Error, No File Name For Libc6

E: Internal Error, No File Name For Libc6

Contents

Errors were encountered while processing: /var/cache/apt/archives/libreoffice-impress_1%3a3.5.7-0ubuntu4_i386.deb /var/cache/apt/archives/libreoffice-draw_1%3a3.5.7-0ubuntu4_i386.deb /var/cache/apt/archives/libreoffice-core_1%3a3.5.7-0ubuntu4_i386.deb E: Sub-process /usr/bin/dpkg returned an error code (1) What shall I do now? What does 'apt-get install update' do? Thanks to lots of things like this(see below) there was a way out: sudo dpkg --purge --force-depends "gcc-multilib" sudo dpkg --purge --force-depends "lib32z1-dev" sudo dpkg --purge --force-depends "libc6-dev-x32" Ben Johnson (a03-6eo-chg) Need to get 0 B/1,148 kB of archives. navigate here

February 17, 2013 at 12:39 PM abhishek maurya said... [email protected]:~$ sudo apt-get -f install Reading package lists... Any idea? –schlingel Dec 31 '13 at 13:53 Yes, same output. After this operation, 0 B of additional disk space will be used.

E: Internal Error, No File Name For Libc6

Setting up gstreamer0.10-pulseaudio (0.10.31-1ubuntu1.1) ... Done Building dependency tree Reading state information... more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science

Could you expand a bit on the dev hold and --set-selections parts a bit more? How old is Maz Kanata? Setting up language-selector-common (0.79.1) ... Libc6 Ubuntu Setting up libreoffice-core (1:3.5.7-0ubuntu4) ...

Distributor ID: Ubuntu Description: Ubuntu 12.04.3 LTS Release: 12.04 Codename: precise Output of apt-get install libc6=2.15-0ubuntu10.5 after removing raring repos and updating: apt-get install libc6=2.15-0ubuntu10.5 Reading package lists... Libc6 Breaks Locales Do you want to continue? [Y/n] y Extracting templates from packages: 100% Preconfiguring packages ... Done Building dependency tree Reading state information... http://askubuntu.com/questions/398120/fix-dependency-when-apt-get-f-install-fails Now, issuing sudo apt-get update gives, ....

What is fungibility and why does it matters? E: Sub-process /usr/bin/dpkg Returned An Error Code (1) Setting up uno-libs3 (3.5.7-0ubuntu4) ... Do you want to continue? [Y/n] (Reading database ... 234006 files and directories currently installed.) Preparing to unpack .../libc6-dev-i386_2.19-0ubuntu6_amd64.deb ... I also tried 'sudo apt-get purge libc6-dev-amd64 libc6-dev-i386' because these two packages are causing the issue, but after the auto remove, clean and install, I still get the same error.

Libc6 Breaks Locales

Need to get 21.3 MB of archives. http://ilostmynotes.blogspot.com/2012/11/solved-dependency-problems-prevent.html libc6-dev depends on libc-dev-bin (= 2.15-0ubuntu10.2); however: Version of libc-dev-bin on system is 2.15-0ubuntu10.3. E: Internal Error, No File Name For Libc6 Hopefully, this workaround won't cause problems in the future. Libc6-dev: Depends: Libc6 Done The following packages were automatically installed and are no longer required: libutouch-grail1 libutouch-evemu1 libutouch-frame1 libutouch-geis1 Use 'apt-get autoremove' to remove them.

Done Calculating upgrade... http://codentropy.com/dpkg-error/dpkg-parse-error-in-file-var-lib-dpkg-status.html Done Building dependency tree Reading state information... Were you able to implement any sort of a workaround? Here are my code, sudo apt-get install -f [sudo] password for user: Reading package lists... Ubuntu Install Libc6

Done The following packages were automatically installed and are no longer required: gir1.2-ubuntuoneui-3.0 libubuntuoneui-3.0-1 thunderbird-globalmenu Use 'apt-get autoremove' to remove them. No apport report written because MaxReports is reached already dependency problems - leaving unconfigured Errors were encountered while processing: libc6:amd64 libc-dev-bin libc6-dev:amd64 libc6-dbg:amd64 E: Sub-process /usr/bin/dpkg returned an error code (1) [email protected]:~$ LANG=C;sudo apt-get --fix-missing install Reading package lists... his comment is here dpkg: yes, will deconfigure locales (broken by libc6:amd64) Preparing to unpack .../libc6_2.19-18+deb8u2_amd64.deb ...

Done Correcting dependencies... The Following Packages Have Unmet Dependencies: Unpacking libc6-dev-i386 (2.19-0ubuntu6.5) ... Sos un Groso papa!!

Done Correcting dependencies...

Do you want to continue? [Y/n] y (Reading database ... 256685 files and directories currently installed.) Preparing to unpack .../libc6-dev-i386_2.19-0ubuntu6.3_amd64.deb ... List of browser cache directories on OS X Appending to an array in a plist ► October (5) ► September (5) ► August (3) ► July (2) ► June (7) ► Unpacking replacement libc-dev-bin ... Unable To Correct Problems, You Have Held Broken Packages. Need to get 0B/4,249kB of archives.

Try 'apt-get -f install' with no packages (or specify a solution). Registered Linux User #422464 http://linuxcounter.net/ Use the search engine that respects your privacy rights: https://startpage.com/ Adv Reply May 8th, 2010 #4 jlord87 View Profile View Forum Posts Private Message First Done Correcting dependencies... weblink Setting up libc-dev-bin (2.15-0ubuntu10.3) ...

Ubuntu Logo, Ubuntu and Canonical Canonical Ltd. more hot questions about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science Other Stack

Border